1# Makefile.in generated by automake 1.16.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2020 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \	]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89subdir = .
90ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
91am__aclocal_m4_deps = $(top_srcdir)/configure.ac
92am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93	$(ACLOCAL_M4)
94DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
95	$(am__configure_deps) $(dist_json_DATA) $(am__DIST_COMMON)
96am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
97 configure.lineno config.status.lineno
98mkinstalldirs = $(install_sh) -d
99CONFIG_CLEAN_FILES = iso-codes.pc
100CONFIG_CLEAN_VPATH_FILES =
101AM_V_P = $(am__v_P_@AM_V@)
102am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
103am__v_P_0 = false
104am__v_P_1 = :
105AM_V_GEN = $(am__v_GEN_@AM_V@)
106am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
107am__v_GEN_0 = @echo "  GEN     " $@;
108am__v_GEN_1 =
109AM_V_at = $(am__v_at_@AM_V@)
110am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
111am__v_at_0 = @
112am__v_at_1 =
113SOURCES =
114DIST_SOURCES =
115RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
116	ctags-recursive dvi-recursive html-recursive info-recursive \
117	install-data-recursive install-dvi-recursive \
118	install-exec-recursive install-html-recursive \
119	install-info-recursive install-pdf-recursive \
120	install-ps-recursive install-recursive installcheck-recursive \
121	installdirs-recursive pdf-recursive ps-recursive \
122	tags-recursive uninstall-recursive
123am__can_run_installinfo = \
124  case $$AM_UPDATE_INFO_DIR in \
125    n|no|NO) false;; \
126    *) (install-info --version) >/dev/null 2>&1;; \
127  esac
128am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
129am__vpath_adj = case $$p in \
130    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
131    *) f=$$p;; \
132  esac;
133am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
134am__install_max = 40
135am__nobase_strip_setup = \
136  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
137am__nobase_strip = \
138  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
139am__nobase_list = $(am__nobase_strip_setup); \
140  for p in $$list; do echo "$$p $$p"; done | \
141  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
142  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
143    if (++n[$$2] == $(am__install_max)) \
144      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
145    END { for (dir in files) print dir, files[dir] }'
146am__base_list = \
147  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
148  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
149am__uninstall_files_from_dir = { \
150  test -z "$$files" \
151    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
152    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
153         $(am__cd) "$$dir" && rm -f $$files; }; \
154  }
155am__installdirs = "$(DESTDIR)$(jsondir)" "$(DESTDIR)$(pkgconfigdir)"
156DATA = $(dist_json_DATA) $(pkgconfig_DATA)
157RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
158  distclean-recursive maintainer-clean-recursive
159am__recursive_targets = \
160  $(RECURSIVE_TARGETS) \
161  $(RECURSIVE_CLEAN_TARGETS) \
162  $(am__extra_recursive_targets)
163AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
164	cscope distdir distdir-am dist dist-all distcheck
165am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
166# Read a list of newline-separated strings from the standard input,
167# and print each of them once, without duplicates.  Input order is
168# *not* preserved.
169am__uniquify_input = $(AWK) '\
170  BEGIN { nonempty = 0; } \
171  { items[$$0] = 1; nonempty = 1; } \
172  END { if (nonempty) { for (i in items) print i; }; } \
173'
174# Make sure the list of sources is unique.  This is necessary because,
175# e.g., the same source file might be shared among _SOURCES variables
176# for different programs/libraries.
177am__define_uniq_tagged_files = \
178  list='$(am__tagged_files)'; \
179  unique=`for i in $$list; do \
180    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
181  done | $(am__uniquify_input)`
182ETAGS = etags
183CTAGS = ctags
184CSCOPE = cscope
185DIST_SUBDIRS = $(SUBDIRS)
186am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/iso-codes.pc.in \
187	COPYING INSTALL TODO install-sh missing
188DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
189distdir = $(PACKAGE)-$(VERSION)
190top_distdir = $(distdir)
191am__remove_distdir = \
192  if test -d "$(distdir)"; then \
193    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
194      && rm -rf "$(distdir)" \
195      || { sleep 5 && rm -rf "$(distdir)"; }; \
196  else :; fi
197am__post_remove_distdir = $(am__remove_distdir)
198am__relativize = \
199  dir0=`pwd`; \
200  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
201  sed_rest='s,^[^/]*/*,,'; \
202  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
203  sed_butlast='s,/*[^/]*$$,,'; \
204  while test -n "$$dir1"; do \
205    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
206    if test "$$first" != "."; then \
207      if test "$$first" = ".."; then \
208        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
209        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
210      else \
211        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
212        if test "$$first2" = "$$first"; then \
213          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
214        else \
215          dir2="../$$dir2"; \
216        fi; \
217        dir0="$$dir0"/"$$first"; \
218      fi; \
219    fi; \
220    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
221  done; \
222  reldir="$$dir2"
223GZIP_ENV = --best
224DIST_ARCHIVES = $(distdir).tar.xz
225DIST_TARGETS = dist-xz
226# Exists only to be overridden by the user if desired.
227AM_DISTCHECK_DVI_TARGET = dvi
228distuninstallcheck_listfiles = find . -type f -print
229am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
230  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
231distcleancheck_listfiles = find . -type f -print
232ACLOCAL = @ACLOCAL@
233AMTAR = @AMTAR@
234AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
235AUTOCONF = @AUTOCONF@
236AUTOHEADER = @AUTOHEADER@
237AUTOMAKE = @AUTOMAKE@
238AWK = @AWK@
239CYGPATH_W = @CYGPATH_W@
240DEFS = @DEFS@
241DOMAINS = @DOMAINS@
242ECHO_C = @ECHO_C@
243ECHO_N = @ECHO_N@
244ECHO_T = @ECHO_T@
245INSTALL = @INSTALL@
246INSTALL_DATA = @INSTALL_DATA@
247INSTALL_PROGRAM = @INSTALL_PROGRAM@
248INSTALL_SCRIPT = @INSTALL_SCRIPT@
249INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
250LIBOBJS = @LIBOBJS@
251LIBS = @LIBS@
252LN_S = @LN_S@
253LTLIBOBJS = @LTLIBOBJS@
254MAINT = @MAINT@
255MAKEINFO = @MAKEINFO@
256MKDIR_P = @MKDIR_P@
257MSGATTRIB = @MSGATTRIB@
258MSGFILTER = @MSGFILTER@
259MSGFMT = @MSGFMT@
260MSGFMT_FLAGS = @MSGFMT_FLAGS@
261MSGMERGE = @MSGMERGE@
262PACKAGE = @PACKAGE@
263PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
264PACKAGE_NAME = @PACKAGE_NAME@
265PACKAGE_STRING = @PACKAGE_STRING@
266PACKAGE_TARNAME = @PACKAGE_TARNAME@
267PACKAGE_URL = @PACKAGE_URL@
268PACKAGE_VERSION = @PACKAGE_VERSION@
269PATH_SEPARATOR = @PATH_SEPARATOR@
270RECODE_SR_LATIN = @RECODE_SR_LATIN@
271SET_MAKE = @SET_MAKE@
272SHELL = @SHELL@
273STRIP = @STRIP@
274VERSION = @VERSION@
275abs_builddir = @abs_builddir@
276abs_srcdir = @abs_srcdir@
277abs_top_builddir = @abs_top_builddir@
278abs_top_srcdir = @abs_top_srcdir@
279am__leading_dot = @am__leading_dot@
280am__tar = @am__tar@
281am__untar = @am__untar@
282bindir = @bindir@
283build_alias = @build_alias@
284builddir = @builddir@
285datadir = @datadir@
286datarootdir = @datarootdir@
287docdir = @docdir@
288dvidir = @dvidir@
289exec_prefix = @exec_prefix@
290host_alias = @host_alias@
291htmldir = @htmldir@
292includedir = @includedir@
293infodir = @infodir@
294install_sh = @install_sh@
295libdir = @libdir@
296libexecdir = @libexecdir@
297localedir = @localedir@
298localstatedir = @localstatedir@
299mandir = @mandir@
300mkdir_p = @mkdir_p@
301oldincludedir = @oldincludedir@
302pdfdir = @pdfdir@
303prefix = @prefix@
304program_transform_name = @program_transform_name@
305psdir = @psdir@
306runstatedir = @runstatedir@
307sbindir = @sbindir@
308sharedstatedir = @sharedstatedir@
309srcdir = @srcdir@
310sysconfdir = @sysconfdir@
311target_alias = @target_alias@
312top_build_prefix = @top_build_prefix@
313top_builddir = @top_builddir@
314top_srcdir = @top_srcdir@
315SUBDIRS = $(DOMAINS)
316pkgconfigdir = $(prefix)/libdata/pkgconfig
317pkgconfig_DATA = iso-codes.pc
318
319# Install the JSON files.
320jsondir = $(pkgdatadir)/json
321dist_json_DATA = $(wildcard $(srcdir)/data/*.json)
322
323# Include the "bin" directory, the bootstrap script,
324# the common Makefile snippet
325# and the markdown documentation currently not handled
326# by automake
327EXTRA_DIST = bin bootstrap common.mk README.md ChangeLog.md
328DISTCLEANFILES = $(pkgconfig_DATA)
329all: all-recursive
330
331.SUFFIXES:
332am--refresh: Makefile
333	@:
334$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
335	@for dep in $?; do \
336	  case '$(am__configure_deps)' in \
337	    *$$dep*) \
338	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
339	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
340		&& exit 0; \
341	      exit 1;; \
342	  esac; \
343	done; \
344	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
345	$(am__cd) $(top_srcdir) && \
346	  $(AUTOMAKE) --foreign Makefile
347Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
348	@case '$?' in \
349	  *config.status*) \
350	    echo ' $(SHELL) ./config.status'; \
351	    $(SHELL) ./config.status;; \
352	  *) \
353	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
354	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
355	esac;
356
357$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
358	$(SHELL) ./config.status --recheck
359
360$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
361	$(am__cd) $(srcdir) && $(AUTOCONF)
362$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
363	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
364$(am__aclocal_m4_deps):
365iso-codes.pc: $(top_builddir)/config.status $(srcdir)/iso-codes.pc.in
366	cd $(top_builddir) && $(SHELL) ./config.status $@
367install-dist_jsonDATA: $(dist_json_DATA)
368	@$(NORMAL_INSTALL)
369	@list='$(dist_json_DATA)'; test -n "$(jsondir)" || list=; \
370	if test -n "$$list"; then \
371	  echo " $(MKDIR_P) '$(DESTDIR)$(jsondir)'"; \
372	  $(MKDIR_P) "$(DESTDIR)$(jsondir)" || exit 1; \
373	fi; \
374	for p in $$list; do \
375	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
376	  echo "$$d$$p"; \
377	done | $(am__base_list) | \
378	while read files; do \
379	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(jsondir)'"; \
380	  $(INSTALL_DATA) $$files "$(DESTDIR)$(jsondir)" || exit $$?; \
381	done
382
383uninstall-dist_jsonDATA:
384	@$(NORMAL_UNINSTALL)
385	@list='$(dist_json_DATA)'; test -n "$(jsondir)" || list=; \
386	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
387	dir='$(DESTDIR)$(jsondir)'; $(am__uninstall_files_from_dir)
388install-pkgconfigDATA: $(pkgconfig_DATA)
389	@$(NORMAL_INSTALL)
390	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
391	if test -n "$$list"; then \
392	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
393	  $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
394	fi; \
395	for p in $$list; do \
396	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
397	  echo "$$d$$p"; \
398	done | $(am__base_list) | \
399	while read files; do \
400	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
401	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
402	done
403
404uninstall-pkgconfigDATA:
405	@$(NORMAL_UNINSTALL)
406	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
407	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
408	dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
409
410# This directory's subdirectories are mostly independent; you can cd
411# into them and run 'make' without going through this Makefile.
412# To change the values of 'make' variables: instead of editing Makefiles,
413# (1) if the variable is set in 'config.status', edit 'config.status'
414#     (which will cause the Makefiles to be regenerated when you run 'make');
415# (2) otherwise, pass the desired values on the 'make' command line.
416$(am__recursive_targets):
417	@fail=; \
418	if $(am__make_keepgoing); then \
419	  failcom='fail=yes'; \
420	else \
421	  failcom='exit 1'; \
422	fi; \
423	dot_seen=no; \
424	target=`echo $@ | sed s/-recursive//`; \
425	case "$@" in \
426	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
427	  *) list='$(SUBDIRS)' ;; \
428	esac; \
429	for subdir in $$list; do \
430	  echo "Making $$target in $$subdir"; \
431	  if test "$$subdir" = "."; then \
432	    dot_seen=yes; \
433	    local_target="$$target-am"; \
434	  else \
435	    local_target="$$target"; \
436	  fi; \
437	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
438	  || eval $$failcom; \
439	done; \
440	if test "$$dot_seen" = "no"; then \
441	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
442	fi; test -z "$$fail"
443
444ID: $(am__tagged_files)
445	$(am__define_uniq_tagged_files); mkid -fID $$unique
446tags: tags-recursive
447TAGS: tags
448
449tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
450	set x; \
451	here=`pwd`; \
452	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
453	  include_option=--etags-include; \
454	  empty_fix=.; \
455	else \
456	  include_option=--include; \
457	  empty_fix=; \
458	fi; \
459	list='$(SUBDIRS)'; for subdir in $$list; do \
460	  if test "$$subdir" = .; then :; else \
461	    test ! -f $$subdir/TAGS || \
462	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
463	  fi; \
464	done; \
465	$(am__define_uniq_tagged_files); \
466	shift; \
467	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
468	  test -n "$$unique" || unique=$$empty_fix; \
469	  if test $$# -gt 0; then \
470	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
471	      "$$@" $$unique; \
472	  else \
473	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
474	      $$unique; \
475	  fi; \
476	fi
477ctags: ctags-recursive
478
479CTAGS: ctags
480ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
481	$(am__define_uniq_tagged_files); \
482	test -z "$(CTAGS_ARGS)$$unique" \
483	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
484	     $$unique
485
486GTAGS:
487	here=`$(am__cd) $(top_builddir) && pwd` \
488	  && $(am__cd) $(top_srcdir) \
489	  && gtags -i $(GTAGS_ARGS) "$$here"
490cscope: cscope.files
491	test ! -s cscope.files \
492	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
493clean-cscope:
494	-rm -f cscope.files
495cscope.files: clean-cscope cscopelist
496cscopelist: cscopelist-recursive
497
498cscopelist-am: $(am__tagged_files)
499	list='$(am__tagged_files)'; \
500	case "$(srcdir)" in \
501	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
502	  *) sdir=$(subdir)/$(srcdir) ;; \
503	esac; \
504	for i in $$list; do \
505	  if test -f "$$i"; then \
506	    echo "$(subdir)/$$i"; \
507	  else \
508	    echo "$$sdir/$$i"; \
509	  fi; \
510	done >> $(top_builddir)/cscope.files
511
512distclean-tags:
513	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
514	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
515
516distdir: $(BUILT_SOURCES)
517	$(MAKE) $(AM_MAKEFLAGS) distdir-am
518
519distdir-am: $(DISTFILES)
520	$(am__remove_distdir)
521	test -d "$(distdir)" || mkdir "$(distdir)"
522	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
523	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
524	list='$(DISTFILES)'; \
525	  dist_files=`for file in $$list; do echo $$file; done | \
526	  sed -e "s|^$$srcdirstrip/||;t" \
527	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
528	case $$dist_files in \
529	  */*) $(MKDIR_P) `echo "$$dist_files" | \
530			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
531			   sort -u` ;; \
532	esac; \
533	for file in $$dist_files; do \
534	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
535	  if test -d $$d/$$file; then \
536	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
537	    if test -d "$(distdir)/$$file"; then \
538	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
539	    fi; \
540	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
541	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
542	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
543	    fi; \
544	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
545	  else \
546	    test -f "$(distdir)/$$file" \
547	    || cp -p $$d/$$file "$(distdir)/$$file" \
548	    || exit 1; \
549	  fi; \
550	done
551	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
552	  if test "$$subdir" = .; then :; else \
553	    $(am__make_dryrun) \
554	      || test -d "$(distdir)/$$subdir" \
555	      || $(MKDIR_P) "$(distdir)/$$subdir" \
556	      || exit 1; \
557	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
558	    $(am__relativize); \
559	    new_distdir=$$reldir; \
560	    dir1=$$subdir; dir2="$(top_distdir)"; \
561	    $(am__relativize); \
562	    new_top_distdir=$$reldir; \
563	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
564	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
565	    ($(am__cd) $$subdir && \
566	      $(MAKE) $(AM_MAKEFLAGS) \
567	        top_distdir="$$new_top_distdir" \
568	        distdir="$$new_distdir" \
569		am__remove_distdir=: \
570		am__skip_length_check=: \
571		am__skip_mode_fix=: \
572	        distdir) \
573	      || exit 1; \
574	  fi; \
575	done
576	-test -n "$(am__skip_mode_fix)" \
577	|| find "$(distdir)" -type d ! -perm -755 \
578		-exec chmod u+rwx,go+rx {} \; -o \
579	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
580	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
581	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
582	|| chmod -R a+r "$(distdir)"
583dist-gzip: distdir
584	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
585	$(am__post_remove_distdir)
586
587dist-bzip2: distdir
588	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
589	$(am__post_remove_distdir)
590
591dist-lzip: distdir
592	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
593	$(am__post_remove_distdir)
594dist-xz: distdir
595	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
596	$(am__post_remove_distdir)
597
598dist-zstd: distdir
599	tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
600	$(am__post_remove_distdir)
601
602dist-tarZ: distdir
603	@echo WARNING: "Support for distribution archives compressed with" \
604		       "legacy program 'compress' is deprecated." >&2
605	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
606	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
607	$(am__post_remove_distdir)
608
609dist-shar: distdir
610	@echo WARNING: "Support for shar distribution archives is" \
611	               "deprecated." >&2
612	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
613	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
614	$(am__post_remove_distdir)
615
616dist-zip: distdir
617	-rm -f $(distdir).zip
618	zip -rq $(distdir).zip $(distdir)
619	$(am__post_remove_distdir)
620
621dist dist-all:
622	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
623	$(am__post_remove_distdir)
624
625# This target untars the dist file and tries a VPATH configuration.  Then
626# it guarantees that the distribution is self-contained by making another
627# tarfile.
628distcheck: dist
629	case '$(DIST_ARCHIVES)' in \
630	*.tar.gz*) \
631	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
632	*.tar.bz2*) \
633	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
634	*.tar.lz*) \
635	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
636	*.tar.xz*) \
637	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
638	*.tar.Z*) \
639	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
640	*.shar.gz*) \
641	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
642	*.zip*) \
643	  unzip $(distdir).zip ;;\
644	*.tar.zst*) \
645	  zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
646	esac
647	chmod -R a-w $(distdir)
648	chmod u+w $(distdir)
649	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
650	chmod a-w $(distdir)
651	test -d $(distdir)/_build || exit 0; \
652	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
653	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
654	  && am__cwd=`pwd` \
655	  && $(am__cd) $(distdir)/_build/sub \
656	  && ../../configure \
657	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
658	    $(DISTCHECK_CONFIGURE_FLAGS) \
659	    --srcdir=../.. --prefix="$$dc_install_base" \
660	  && $(MAKE) $(AM_MAKEFLAGS) \
661	  && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
662	  && $(MAKE) $(AM_MAKEFLAGS) check \
663	  && $(MAKE) $(AM_MAKEFLAGS) install \
664	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
665	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
666	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
667	        distuninstallcheck \
668	  && chmod -R a-w "$$dc_install_base" \
669	  && ({ \
670	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
671	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
672	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
673	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
674	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
675	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
676	  && rm -rf "$$dc_destdir" \
677	  && $(MAKE) $(AM_MAKEFLAGS) dist \
678	  && rm -rf $(DIST_ARCHIVES) \
679	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
680	  && cd "$$am__cwd" \
681	  || exit 1
682	$(am__post_remove_distdir)
683	@(echo "$(distdir) archives ready for distribution: "; \
684	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
685	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
686distuninstallcheck:
687	@test -n '$(distuninstallcheck_dir)' || { \
688	  echo 'ERROR: trying to run $@ with an empty' \
689	       '$$(distuninstallcheck_dir)' >&2; \
690	  exit 1; \
691	}; \
692	$(am__cd) '$(distuninstallcheck_dir)' || { \
693	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
694	  exit 1; \
695	}; \
696	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
697	   || { echo "ERROR: files left after uninstall:" ; \
698	        if test -n "$(DESTDIR)"; then \
699	          echo "  (check DESTDIR support)"; \
700	        fi ; \
701	        $(distuninstallcheck_listfiles) ; \
702	        exit 1; } >&2
703distcleancheck: distclean
704	@if test '$(srcdir)' = . ; then \
705	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
706	  exit 1 ; \
707	fi
708	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
709	  || { echo "ERROR: files left in build directory after distclean:" ; \
710	       $(distcleancheck_listfiles) ; \
711	       exit 1; } >&2
712check-am: all-am
713check: check-recursive
714all-am: Makefile $(DATA)
715installdirs: installdirs-recursive
716installdirs-am:
717	for dir in "$(DESTDIR)$(jsondir)" "$(DESTDIR)$(pkgconfigdir)"; do \
718	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
719	done
720install: install-recursive
721install-exec: install-exec-recursive
722install-data: install-data-recursive
723uninstall: uninstall-recursive
724
725install-am: all-am
726	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
727
728installcheck: installcheck-recursive
729install-strip:
730	if test -z '$(STRIP)'; then \
731	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
732	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
733	      install; \
734	else \
735	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
736	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
737	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
738	fi
739mostlyclean-generic:
740
741clean-generic:
742
743distclean-generic:
744	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
745	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
746	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
747
748maintainer-clean-generic:
749	@echo "This command is intended for maintainers to use"
750	@echo "it deletes files that may require special tools to rebuild."
751clean: clean-recursive
752
753clean-am: clean-generic mostlyclean-am
754
755distclean: distclean-recursive
756	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
757	-rm -f Makefile
758distclean-am: clean-am distclean-generic distclean-tags
759
760dvi: dvi-recursive
761
762dvi-am:
763
764html: html-recursive
765
766html-am:
767
768info: info-recursive
769
770info-am:
771
772install-data-am: install-dist_jsonDATA install-pkgconfigDATA
773
774install-dvi: install-dvi-recursive
775
776install-dvi-am:
777
778install-exec-am:
779
780install-html: install-html-recursive
781
782install-html-am:
783
784install-info: install-info-recursive
785
786install-info-am:
787
788install-man:
789
790install-pdf: install-pdf-recursive
791
792install-pdf-am:
793
794install-ps: install-ps-recursive
795
796install-ps-am:
797
798installcheck-am:
799
800maintainer-clean: maintainer-clean-recursive
801	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
802	-rm -rf $(top_srcdir)/autom4te.cache
803	-rm -f Makefile
804maintainer-clean-am: distclean-am maintainer-clean-generic
805
806mostlyclean: mostlyclean-recursive
807
808mostlyclean-am: mostlyclean-generic
809
810pdf: pdf-recursive
811
812pdf-am:
813
814ps: ps-recursive
815
816ps-am:
817
818uninstall-am: uninstall-dist_jsonDATA uninstall-pkgconfigDATA
819
820.MAKE: $(am__recursive_targets) install-am install-strip
821
822.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
823	am--refresh check check-am clean clean-cscope clean-generic \
824	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
825	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
826	dist-zstd distcheck distclean distclean-generic distclean-tags \
827	distcleancheck distdir distuninstallcheck dvi dvi-am html \
828	html-am info info-am install install-am install-data \
829	install-data-am install-dist_jsonDATA install-dvi \
830	install-dvi-am install-exec install-exec-am install-html \
831	install-html-am install-info install-info-am install-man \
832	install-pdf install-pdf-am install-pkgconfigDATA install-ps \
833	install-ps-am install-strip installcheck installcheck-am \
834	installdirs installdirs-am maintainer-clean \
835	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
836	pdf-am ps ps-am tags tags-am uninstall uninstall-am \
837	uninstall-dist_jsonDATA uninstall-pkgconfigDATA
838
839.PRECIOUS: Makefile
840
841
842# Updates all pot files
843.PHONY: pot
844pot:
845	for domain in $(DOMAINS); do \
846		cd $$domain && make $$domain.pot && cd ..; \
847	done
848
849# Updates all xml files
850.PHONY: xml
851xml:
852	for domain in $(DOMAINS); do \
853		cd $$domain && make $$domain.xml && cd ..; \
854	done
855
856.PHONY: release
857release: update-po check distcheck
858
859.PHONY: update-po
860update-po:
861	for domain in $(DOMAINS); do \
862		cd $$domain && make update-po && cd ..; \
863	done
864
865.PHONY: sign-release
866sign-release: iso-codes-$(VERSION).tar.xz
867	rm -f iso-codes-$(VERSION).tar.xz.sig
868	gpg --detach-sign iso-codes-$(VERSION).tar.xz
869
870# Tell versions [3.59,3.63) of GNU make to not export all variables.
871# Otherwise a system limit (for SysV at least) may be exceeded.
872.NOEXPORT:
873